#include "UIMLToolTip.h"

#include "Globals.h"

using namespace Framework;

UIMLToolTip::UIMLToolTip()
    : ToolTip(window->zBildschirm())
{
    view = new UIMLView("", uiFactory);
    addMember(view);
    view->setStyle(UIMLView::Style::Sichtbar);
    addStyle(ZeichnungHintergrund::Style::Hintergrund
             | ZeichnungHintergrund::Style::HAlpha
             | ZeichnungHintergrund::Style::Rahmen
             | ZeichnungHintergrund::Style::Sichtbar);
    setHintergrundFarbe(0xA0000000);
    setRahmenFarbe(0xFFFFFFFF);
    setRahmenBreite(1);
}

UIMLToolTip::~UIMLToolTip() {}

void UIMLToolTip::setUIML(const char* uiml)
{
    view->setUIML(uiml);
    view->layout();
    view->setSize(view->calculateContentSize());
}